import * as DynamoDB from 'aws-sdk/clients/dynamodb';
import { Observable } from 'rxjs';
import { ModelConstructor } from '../../model';
import { TransactGetFullResponse } from './transact-get-full.response';
import { TransactGetRequest1 } from './transact-get.request.type';
export declare class TransactGetRequest {
    readonly params: DynamoDB.TransactGetItemsInput;
    private readonly dynamoRx;
    private readonly tables;
    constructor();
    forModel<T>(modelClazz: ModelConstructor<T>, key: Partial<T>): TransactGetRequest1<T>;
    returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactGetRequest;
    execNoMap(): Observable<DynamoDB.TransactGetItemsOutput>;
    execFullResponse(): Observable<TransactGetFullResponse<[]>>;
    exec(): Observable<[]>;
    private mapResponse;
}
